/* -------------------------------------------------------------

   toplevel.h (part of KDE Icon Browser)

   (C) by Thomas Tanghus

   Generated with the KDE Application Generator

 ------------------------------------------------------------- */


#ifndef _TOPLEVEL_H_
#define _TOPLEVEL_H_

#include <kapp.h>
#include <ktopwidget.h>
#include <kmenubar.h>
#include <kstatusbar.h>
#include <ktoolbar.h>
#include <qpopmenu.h>
#include <qaccel.h>
#include <qpixmap.h>
#include <stdio.h>              
#include <dlfcn.h>
#include "kiconlistbox.h"
#include "knewiconloader.h"
#include "kdynlib.h"

#define LIB KDynamicLibrary

class TopLevel : public KTopLevelWidget
{
  Q_OBJECT
  
public:

  TopLevel();
  ~TopLevel();

protected slots:

  void aboutApp();
  void open();

protected:

  void setupMenuBar();
  void setupStatusBar();
  void setupToolBar();
  void closeEvent(QCloseEvent*);
  bool loadLibrary(const char *lib);

  KMenuBar *menubar;
  KStatusBar *statusbar;
  KToolBar *toolbar;
  KIconListBox *lb;
  QPopupMenu *fileMenu, *helpMenu;
  int openID, aboutID, aboutKDEID, quitID;
  int ID_NEW, ID_OPEN, ID_HELP;
  KDynamicHandle handle;
  QStrList (*xpm_names)(QStrList);
  QPixmap *(*xpm_icon)(const char*);
  void (*xpm_init)(void);
  void (*xpm_fini)(void);
  char *error;

};

#endif
